{
  "name": "money-task-server",
  "version": "0.0.0",
  "description": "",
  "keywords": [],
  "main": "build/index.js",
  "license": "IST",
  "scripts": {
    "start:prod": "yarn build && yarn start",
    "start": "node build/index.js",
    "build": "concurrently yarn:build:*",
    "build:compile": "npx babel src --extensions .ts --out-dir build --source-maps",
    "build:types": "tsc",
    "dev": "nodemon --watch \"src/**\" --ext \"ts,json\" --ignore \"src/**/*.spec.ts\" --exec \"ts-node -r tsconfig-paths/register src/index.ts\"",
    "dev:compile": "npx babel src --extensions .ts --out-dir build --source-maps --watch",
    "dev:types": "tsc --watch",
    "lint": "eslint --ignore-path .eslintignore \"src/**/*.ts\" --fix",
    "lint:check": "eslint --ignore-path .eslintignore \"src/**/*.ts\"",
    "prettier": "prettier --write \"src/**/*.ts\"",
    "prettier:check": "prettier --check \"src/**/*.ts\"",
    "prepare": "husky install"
  },
  "dependencies": {
    "bcrypt": "5.1.1",
    "compression": "1.7.4",
    "cookie-parser": "1.4.6",
    "core-js": "3.23.3",
    "cors": "2.8.5",
    "dotenv": "16.4.5",
    "express": "4.18.1",
    "gridfs-stream": "1.1.1",
    "helmet": "5.1.0",
    "husky": "8.0.1",
    "jsonwebtoken": "9.0.2",
    "mongoose": "8.2.4",
    "multer": "1.4.5-lts.1",
    "multer-gridfs-storage": "github:uvilib/multer-gridfs-storage",
    "node-telegram-bot-api": "0.65.1",
    "nodemon": "3.1.0",
    "regenerator-runtime": "0.13.9",
    "zod": "3.22.4"
  },
  "devDependencies": {
    "@babel/cli": "7.24.1",
    "@babel/core": "7.24.3",
    "@babel/node": "7.23.9",
    "@babel/plugin-proposal-class-properties": "7.18.6",
    "@babel/plugin-transform-runtime": "7.24.3",
    "@babel/plugin-transform-typescript": "7.24.1",
    "@babel/preset-env": "7.18.6",
    "@babel/preset-typescript": "7.24.1",
    "@babel/runtime": "7.24.1",
    "@commitlint/cli": "19.2.1",
    "@commitlint/config-conventional": "19.1.0",
    "@types/bcrypt": "5.0.2",
    "@types/compression": "1.7.5",
    "@types/cookie-parser": "1.4.7",
    "@types/core-js": "2.5.8",
    "@types/cors": "2.8.12",
    "@types/express": "4.17.21",
    "@types/gridfs-stream": "0.5.39",
    "@types/jsonwebtoken": "9.0.6",
    "@types/mongoose": "5.11.97",
    "@types/multer": "1.4.11",
    "@types/node": "20.12.2",
    "@types/node-telegram-bot-api": "0.64.6",
    "@types/regenerator-runtime": "0.13.1",
    "@typescript-eslint/eslint-plugin": "7.5.0",
    "@typescript-eslint/parser": "7.5.0",
    "babel-core": "6.26.3",
    "babel-plugin-module-resolver": "4.1.0",
    "babel-plugin-source-map-support": "2.2.0",
    "concurrently": "7.2.2",
    "eslint": "8.57.0",
    "eslint-config-prettier": "9.1.0",
    "eslint-config-standard": "17.1.0",
    "eslint-plugin-import": "2.29.1",
    "eslint-plugin-node": "11.1.0",
    "eslint-plugin-prettier": "4.2.1",
    "eslint-plugin-promise": "6.1.1",
    "module-resolver": "1.0.0",
    "prettier": "3.2.5",
    "ts-node": "10.9.2",
    "tsconfig-paths": "4.2.0",
    "typescript": "5.4.3"
  }
}
